
#pragma hdrstop
#include <condefs.h>
#include <iostream.h>
#include <fstream.h>
#include <conio.h>

//---------------------------------------------------------------------------
class BeispielKlasse
{
   public:
      void setx(int px) { nx = px; }
      void sety(int py) { ny = py; }
      int  getx(void)   { return nx; }
      int  gety(void)   { return ny; }

      friend ostream  & operator<< (ostream  & os,  const BeispielKlasse & bsp);
      friend ofstream & operator<< (ofstream & ofs, const BeispielKlasse & bsp);

      void save (ofstream & os);

   private:
      int nx;
      int ny;
};

//---------------------------------------------------------------------------
// Ausgabe auf Bildschrim
ostream & operator<< (ostream & os, const BeispielKlasse & bsp)
{
   os << bsp.nx << ", " << bsp.ny;
   return os;
}

//---------------------------------------------------------------------------
// speichern als CSV-Datei
ofstream & operator<< (ofstream & ofs, const BeispielKlasse & bsp)
{
   ofs << bsp.nx << ";" << bsp.ny;
   return ofs;
}

//---------------------------------------------------------------------------
void BeispielKlasse::save (ofstream & ofs)
{
   ofs << (*this) << endl;
}

//---------------------------------------------------------------------------
#pragma argsused
void main(void)
{
   BeispielKlasse test1;
   test1.setx(11);
   test1.sety(22);

   BeispielKlasse test2;
   test2.setx(33);
   test2.sety(44);

   // Ausgabemglichkeit 1 --------------------------------------------------
   ofstream Ausgabe1 ("e:\\Ausgabe1.txt");
   test1.save(Ausgabe1);
   test2.save(Ausgabe1);
   Ausgabe1.close();

   // Ausgabemglichkeit 2 --------------------------------------------------
   ofstream Ausgabe2 ("e:\\Ausgabe2.txt");
   Ausgabe2 << test1 << endl;
   Ausgabe2 << test2 << endl;
   Ausgabe2.close();

   cout << test1 << endl;
   cout << test2 << endl;
   getch();
}
